package net.zenrindatacom.geofenceapp_sample.activity;

import android.os.Bundle;

import androidx.activity.EdgeToEdge;
import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

/**
 * EdgeToEdge画面
 */
public class EdgeToEdgeCompatActivity extends AppCompatActivity {
    /**
     * onCreate
     */
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        // EdgeToEdgeを有効にする
        EdgeToEdge.enable(this);
        super.onCreate(savedInstanceState);
    }

    /**
     * onResume
     */
    @Override
    protected void onResume() {
        super.onResume();
        // EdgeToEdgeを有効にするとアプリ実装のレイアウトが画面全体に表示され、システムが表示するコンポーネント（ステータスバーやナビゲーションバーなど）
        // と重なってしまうため、システムが表示するコンポーネントのサイズ分、アプリ実装のレイアウトの上下をパディングする
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(android.R.id.content), (view, insets) -> {
            Insets systemBarsInsets = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            view.setPadding(
                    systemBarsInsets.left,
                    systemBarsInsets.top,
                    systemBarsInsets.right,
                    systemBarsInsets.bottom);
            return insets;
        });
    }
}
